Skip to main content
GET
Teams in games

Authorizations

X-Api-Key
string
header
required

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, name, extraName, fullName, logo, logoUrl, founded, city, colors, status, league, secondaryLeague, teamType, teamClass, country, continent, flagUrl, defaultSeason, activeSeason, arena, secondaryArena, capHit, views, currentRosterSize, links, notes, eliteprospectsUrlPath, slug, updatedAt, _links, mhrRating, mhrId, mhrUrl

Available options:
id,
name,
extraName,
fullName,
logo,
logoUrl,
founded,
city,
colors,
status,
league,
secondaryLeague,
teamType,
teamClass,
country,
continent,
flagUrl,
defaultSeason,
activeSeason,
arena,
secondaryArena,
capHit,
views,
currentRosterSize,
links,
notes,
eliteprospectsUrlPath,
slug,
updatedAt,
_links,
mhrRating,
mhrId,
mhrUrl,
logo.*,
league.*,
secondaryLeague.*,
country.*,
flagUrl.*,
defaultSeason.*,
activeSeason.*,
arena.*,
secondaryArena.*,
links.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
name,
-name,
country,
-country,
teamClass,
-teamClass,
views,
-views,
updatedAt,
-updatedAt,
mhrRating,
-mhrRating
id
integer[]

Filter by id

league
string[]

Filter by league slug

season
string

Filter by season slug

seasonType
enum<string>

Filter by seasonType

Available options:
PRESEASON,
REGULAR_SEASON,
POSTSEASON
dateTime:from
string<date-time>

Filter by dateTime greater or equal to in ISO-8601 format for date and time

dateTime:to
string<date-time>

Filter by dateTime less than or equal to in ISO-8601 format for date and time

date:from
string<date>

Filter by date greater or equal to in ISO-8601 format for date

date:to
string<date>

Filter by date less than or equal to in ISO-8601 format for date

homeTeam
integer[]

Filter by homeTeam

visitingTeam
integer[]

Filter by visitingTeam

team
integer[]

Filter by team ID

status
enum<string>[]

Filter by status

Available options:
UPCOMING,
COMPLETED,
POSTPONED
status:not
enum<string>[]

Filter by status not equal to

Available options:
UPCOMING,
COMPLETED,
POSTPONED
createdAt:min
string<date-time>

Filter by createdAt greater or equal to in ISO-8601 format for date and time

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

Teams in games, paginated.

_meta
object
data
object[]